<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Auth extends CI_Controller {
	public function __construct() 
    {
        parent::__construct();
        header('Access-Control-Allow-Origin: *');
    }
	public function index(){
		$data = array(
			'heading_title' => 'Login'
			);
		$this->load->view('admin/common/header',$data);
		$this->load->view('admin/login');
		$this->load->view('admin/common/footer');
	}
	
	public function login(){

		$errors = array();

		$data = array();

		

		$post_data = json_decode(file_get_contents('php://input'), true);


		if (empty($post_data['email']))

			$errors['username'] = 'Username is required.';

		if (empty($post_data['password']))

			$errors['password'] = 'Password is required.';

		if($errors){

			$response = array(

					'status' => FALSE,

					'message' => 'Username and Password is required' 

				);

			echo json_encode($response);

			return;	 

		}
		//print_r($post_data); exit;
		$this->db->select('*');

		$this->db->where('login_name',$post_data['email']);	 

		$this->db->where('password',($post_data['password']));

		$this->db->where('is_active','1');

		$data = $this->db->get('ptsl_users')->result_array();
		//print_r($data); exit;
		if($data){
			$data_role = $this->db->get_where('ptsl_users_roles',array('user_id'=> $data[0]['user_id']))->result_array();
			if($data_role[0]['role_id'] == 1 || $data_role[0]['role_id']==8){
				$newdata = array(
        			'username'  => $post_data['email'],
        			'user_id'     => $data[0]['user_id'],
        			'logged_in' => TRUE,
        			'role_id' => @$data_role[0]['role_id'],
        			'supplier' => $data[0]['supplier_id']
				);

				$this->session->set_userdata($newdata);
				$response = array(
					'status'=> TRUE,
					'message'=> 'Login successful',
					'userid'=>$data[0]['user_id'],
					'role_id' =>@$data_role[0]['role_id'],
					'supplier' => $data[0]['supplier_id']
				);
			}else{
				$response = array(

					'status'=> FALSE,

					'message'=> 'Login Failed'

				);
			}
			
		}

		else{

			$response = array(

					'status'=> FALSE,

					'message'=> 'Login Failed'

				);

		}
		echo json_encode($response);

	}
	
}