<div id="page-wrapper" ng-app="CrmApp" ng-controller="CreateSuppliermanagerCtrl">
    <div class="row">
    <div class="page-header"><h2>Create Supplier Manager</h2></div>
    <br /><br />
        <div class="col-lg-12 col-md-12">
        
  
    	   <div class="panel panel-primary">
                <div class="panel-heading">Create Supplier Manager</div>
                <div class="panel-body">

                <div class="alert alert-success" ng-show="updated">
                    <strong>Success!</strong> Data Updated successfully
                </div>
            

                <?php if(@$this->session->flashdata('create_user_data_success')){?>
                <div class="alert alert-success">
                    <strong>Success!</strong> <?php echo $this->session->flashdata('create_user_data_success');?>
                </div>
                <?php }?>
                 <?php if(@$this->session->flashdata('create_user_data_error_email')){?>
                <div class="alert alert-danger">
                    <strong>Error!</strong> <?php echo $this->session->flashdata('create_user_data_error_email');?>
                </div>
                <?php }?>
                 <?php if(@$this->session->flashdata('create_user_data_error_phone')){?>
                <div class="alert alert-danger">
                    <strong>Error!</strong> <?php echo $this->session->flashdata('create_user_data_error_phone');?>
                </div>
                <?php }?>
                <form method="post" name="SupplierForm" novalidate ng-submit="createSupplierManager()">
                    <div class="form-group" ng-class="{'has-error': SupplierForm.supplier_name.$invalid && SupplierForm.supplier_name.$dirty, 'has-success': SupplierForm.supplier_name.$valid}">
                      <input type="text" class="form-control" placeholder="Supplier Manager Name" name="supplier_name" ng-model="supplier.supplier_name" ng-minLength="4" required ng-value="<?php if(@$supplier_info['supplier_name']){ echo @$supplier_info['supplier_name'];}?>" />
                      <p class="help-block ng-cloak" ng-if="SupplierForm.supplier_name.$invalid && SupplierForm.supplier_name.$dirty">Please Enter at least 4 characters</p>
                    </div>
                    <div class="form-group" ng-class="{'has-error': SupplierForm.supplier_address.$invalid && SupplierForm.supplier_address.$dirty, 'has-success': SupplierForm.supplier_address.$valid}">
                      <input type="text" class="form-control" placeholder="Address" name="supplier_address" ng-model="supplier.supplier_address" ng-minLength="1" required/>
                      <p class="help-block ng-cloak" ng-if="SupplierForm.supplier_address.$invalid && SupplierForm.supplier_address.$dirty">Address is required</p>
                    </div>
                    <div class="form-group" ng-class="{'has-error': SupplierForm.phone.$invalid && SupplierForm.phone.$dirty, 'has-success': SupplierForm.phone.$valid}">
                      <input type="text" class="form-control" placeholder="Phone" name="phone" ng-model="supplier.phone" ng-minLength="8" required/>
                      <p class="help-block ng-cloak" ng-if="SupplierForm.phone.$invalid && SupplierForm.phone.$dirty">Phone must be valid</p>
                    </div>
                    <div class="form-group" ng-class="{'has-error': SupplierForm.email.$invalid && SupplierForm.email.$dirty, 'has-success': SupplierForm.email.$valid}">
                      <input type="email" class="form-control" placeholder="Email" name="email" ng-model="supplier.email" ng-minLength="4" required/>
                      <p class="help-block ng-cloak" ng-if="SupplierForm.email.$invalid && SupplierForm.email.$dirty">Email must be valid</p>
                    </div>
                    
                    
                    <hr class="separator">
                  <div class="form-group">
                    <label>Supplier Manager User Info:</label>
                  </div>
                
                  <div class="form-group" ng-class="{'has-error': SupplierForm.username.$invalid && SupplierForm.username.$dirty, 'has-success': SupplierForm.username.$valid }">
                    <input type="text" class="form-control" placeholder="Username" name="username" ng-model="supplier.username" required/>
                    <p class="help-block ng-cloak" ng-if="SupplierForm.username.$invalid && SupplierForm.username.$dirty">Username is required.</p>
                  </div>
                  <div class="form-group" ng-class="{'has-error': SupplierForm.password.$invalid && SupplierForm.password.$dirty, 'has-success': SupplierForm.password.$valid}">
                    <input type="password" class="form-control" placeholder="Password" name="password" ng-model="supplier.password" ng-minLength="4" required/>
                    <p class="help-block ng-cloak" ng-if="SupplierForm.password.$invalid && SupplierForm.password.$dirty">Please Enter at least 4 characters</p>
                  </div>
                  
                   <button class="btn btn-lg btn-primary btn-block btn-signin" ng-disabled="SupplierForm.supplier_name.$invalid || SupplierForm.phone.$invalid || SupplierForm.email.$invalid || SupplierForm.product_line_id.$invalid" type="submit">Save</button>
                </form>
                    
                </div>
            </div>
        </div> 
    </div>
</div>                  