<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Report</title>
    <!-- <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">  -->
    <link href="https://fonts.googleapis.com/css?family=Roboto+Condensed:400,700" rel="stylesheet">
    <style>
        *{
            font-family: 'Roboto Condensed', sans-serif;
        }
        .container {
            padding-right: 15px;
            padding-left: 15px;
            margin-right: auto;
            margin-left: auto;
        }
        .row {
            margin-right: -15px;
            margin-left: -15px;
        }
        .admitcard-header{
            padding: 10px 0;
            text-align: center;
            font-size: 20px;
            color: #000;
            background: #DDD;
            font-weight: bold;
            text-decoration: underline;
        }

        .applicant_info{
            width: 60%;
            float: left;
        }

        .applicant_info ul{list-style-type: none;margin: 0;padding-left: 0px;}

        .applicant_info ul li{
            font-size: 18px;
            padding: 5px 0;

        }
        /*.applicant_info ul li label{width: 30%;}  */

        .applicant_image{            
            width: 20%;        
            float: right;
            margin-top: 10px;
        }
        .applicant_image img{width: 180px;#height: 180px;}
        .note{
            font-size: 12px; 
            font-style: italic;
            color: orangered;
            line-height: 20px;
            font-weight: bold;
            padding: 10px 0;
        }

        .signature-area{width: 100%;}
        .signature-area h3{margin: 5px 0;font-weight: 400;}
        .applicant-signature {width: 40%;float: left;}
        .invigilators-signature {width: 40%;float: right;}
        .signature{            
            border-bottom: 2px dashed #000;
            min-height: 100px;
            max-height: 100px;            
        }
        .signature img{
            max-width: 200px;
            max-height: 90px;
        }
        .text-center {
            text-align: center;
        }        
    </style>
</head>
<body>
<div class="container">

    <section style="float:left; width: 100%">
       
       <div class="table-responsive">
           <table class="table table-striped" id="userTable">
               <thead>
                 <tr>
                   <?php foreach($columns as $column){?>
                   <th><?php echo $column;?></th>
                   <?php }?>                                                                
                 </tr>
               </thead>
               <tbody>
               <?php foreach(@$rows as $key=>$row){?>
                   <tr>
                       <?php foreach($columns as $column){?>
                           <td><?php echo $row[$column];?></td>
                       <?php }?>
                   </tr>
               <?php }?>
               </tbody>
           </table>
       </div> 
    </section>

  

   
    
</div>
</body>
</html>
