-- phpMyAdmin SQL Dump
-- version 4.7.4
-- https://www.phpmyadmin.net/
--
-- Host: localhost
-- Generation Time: Nov 28, 2017 at 11:39 AM
-- Server version: 10.1.28-MariaDB
-- PHP Version: 5.6.32

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `perisco9_mscrm_dev`
--

DELIMITER $$
--
-- Procedures
--
CREATE DEFINER=`root`@`localhost` PROCEDURE `test_sp` ()  BEGIN
DECLARE _mon int ;
SELECT * FROM months;
END$$

DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `months`
--

CREATE TABLE `months` (
  `id` int(11) NOT NULL,
  `name` varchar(10) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_accountchannel`
--

CREATE TABLE `ptsl_accountchannel` (
  `accountChannelID` int(11) NOT NULL,
  `ChannelName` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_accountinfo`
--

CREATE TABLE `ptsl_accountinfo` (
  `AccountID` int(11) NOT NULL,
  `InternalAccountID` int(11) DEFAULT NULL,
  `ShortName` varchar(25) DEFAULT NULL,
  `LongName` varchar(200) DEFAULT NULL,
  `Phone` varchar(20) DEFAULT NULL,
  `Email` varchar(45) DEFAULT NULL,
  `Address` varchar(200) DEFAULT NULL,
  `state` varchar(45) DEFAULT NULL,
  `City` varchar(45) DEFAULT NULL,
  `Zipcode` int(11) DEFAULT NULL,
  `latitude` varchar(20) NOT NULL,
  `longitude` varchar(20) NOT NULL,
  `BuyerName` varchar(50) DEFAULT NULL,
  `SpokeWith` varchar(45) DEFAULT NULL,
  `BestTimeToVisit` varchar(45) DEFAULT NULL,
  `CreatedBy` int(11) DEFAULT NULL,
  `CreatedDate` datetime DEFAULT NULL,
  `UpdatedBy` int(11) DEFAULT NULL,
  `UpdatedDate` datetime DEFAULT NULL,
  `ptsl_Distributor_DistributorID` int(11) NOT NULL,
  `ptsl_accountchannel_accountChannelID` int(11) NOT NULL,
  `ptsl_accounttype_AccountTypeID` int(11) NOT NULL,
  `ptsl_accountstatus_AccountStatusID` int(11) NOT NULL,
  `ptsl_DistributorManager_Dist_ManagerID` int(11) NOT NULL,
  `Ptsl_DistributorRep_Dis_rep_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_accountinfo_copy`
--

CREATE TABLE `ptsl_accountinfo_copy` (
  `AccountID` int(11) NOT NULL,
  `InternalAccountID` int(11) DEFAULT NULL,
  `ShortName` varchar(25) DEFAULT NULL,
  `LongName` varchar(200) DEFAULT NULL,
  `Phone` varchar(20) DEFAULT NULL,
  `Email` varchar(45) DEFAULT NULL,
  `Address` varchar(200) DEFAULT NULL,
  `state` varchar(45) DEFAULT NULL,
  `City` varchar(45) DEFAULT NULL,
  `Zipcode` int(11) DEFAULT NULL,
  `latitude` varchar(20) NOT NULL,
  `longitude` varchar(20) NOT NULL,
  `BuyerName` varchar(50) DEFAULT NULL,
  `SpokeWith` varchar(45) DEFAULT NULL,
  `BestTimeToVisit` varchar(45) DEFAULT NULL,
  `CreatedBy` int(11) DEFAULT NULL,
  `CreatedDate` datetime DEFAULT NULL,
  `UpdatedBy` int(11) DEFAULT NULL,
  `UpdatedDate` datetime DEFAULT NULL,
  `ptsl_Distributor_DistributorID` int(11) NOT NULL,
  `ptsl_accountchannel_accountChannelID` int(11) NOT NULL,
  `ptsl_accounttype_AccountTypeID` int(11) NOT NULL,
  `ptsl_accountstatus_AccountStatusID` int(11) NOT NULL,
  `ptsl_DistributorManager_Dist_ManagerID` int(11) NOT NULL,
  `Ptsl_DistributorRep_Dis_rep_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_accountstatus`
--

CREATE TABLE `ptsl_accountstatus` (
  `AccountStatusID` int(11) NOT NULL,
  `AccountStatusName` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_accounttype`
--

CREATE TABLE `ptsl_accounttype` (
  `AccountTypeID` int(11) NOT NULL,
  `AccountTypeName` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_account_activity`
--

CREATE TABLE `ptsl_account_activity` (
  `ActivityID` int(11) NOT NULL,
  `AccountID` int(11) DEFAULT NULL,
  `isEvent` bit(1) DEFAULT NULL,
  `EventName` varchar(60) DEFAULT NULL,
  `Buyer` varchar(45) DEFAULT NULL,
  `spokewith` varchar(45) DEFAULT NULL,
  `InternalNotes` varchar(1000) DEFAULT NULL,
  `Notes` varchar(1000) DEFAULT NULL,
  `ActivityDate` date DEFAULT NULL,
  `BrandExposure` int(11) DEFAULT NULL,
  `DecisionMaker` varchar(45) DEFAULT NULL,
  `BestTimeToVisit` varchar(45) DEFAULT NULL,
  `CreatedBy` int(11) DEFAULT NULL,
  `CreatedDate` datetime DEFAULT NULL,
  `UpdatedBy` int(11) DEFAULT NULL,
  `UpdatedDate` datetime DEFAULT NULL,
  `ptsl_activitySubtype_ActivitySubtypeID` int(11) NOT NULL,
  `Client_Rep_ID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_account_todolist`
--

CREATE TABLE `ptsl_account_todolist` (
  `id` int(11) NOT NULL,
  `accountid` int(11) DEFAULT NULL,
  `engagementid` int(11) DEFAULT NULL,
  `iscompleted` tinyint(1) DEFAULT '0',
  `completiondate` date DEFAULT NULL,
  `initiationdate` date DEFAULT NULL,
  `clientrepid` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_activitysubtype`
--

CREATE TABLE `ptsl_activitysubtype` (
  `ActivitySubtypeID` int(11) NOT NULL,
  `SubtypeName` varchar(45) DEFAULT NULL,
  `Ptsl_ActivityType_ActivityTypeID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_activitytype`
--

CREATE TABLE `ptsl_activitytype` (
  `ActivityTypeID` int(11) NOT NULL,
  `ActivityTypeName` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_activity_participants`
--

CREATE TABLE `ptsl_activity_participants` (
  `id` int(11) NOT NULL,
  `ActivityID` int(11) DEFAULT NULL,
  `ParticipantID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_activity_photos`
--

CREATE TABLE `ptsl_activity_photos` (
  `PhotoID` int(11) NOT NULL,
  `ActivityID` int(11) DEFAULT NULL,
  `Photo` longblob,
  `thumbnail` blob
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_clientrep`
--

CREATE TABLE `ptsl_clientrep` (
  `ClientRepID` int(11) NOT NULL,
  `ClientRepName` varchar(100) DEFAULT NULL,
  `ClientRepAddress` varchar(200) DEFAULT NULL,
  `ClientRepPhone` varchar(45) DEFAULT NULL,
  `ClientRepLoginName` varchar(45) DEFAULT NULL,
  `Password` varchar(45) DEFAULT NULL,
  `IsLocked` bit(1) DEFAULT NULL,
  `IsActive` bit(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_clientrepandrole`
--

CREATE TABLE `ptsl_clientrepandrole` (
  `id` int(11) NOT NULL,
  `roleid` int(11) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_config`
--

CREATE TABLE `ptsl_config` (
  `id` int(11) NOT NULL,
  `config_name` varchar(500) NOT NULL,
  `config_value` varchar(300) NOT NULL,
  `status` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_container`
--

CREATE TABLE `ptsl_container` (
  `container_id` int(11) NOT NULL,
  `name` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_distributor`
--

CREATE TABLE `ptsl_distributor` (
  `DistributorID` int(11) NOT NULL,
  `Name` varchar(45) DEFAULT NULL,
  `Address` varchar(200) DEFAULT NULL,
  `Phone` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `ptsl_distributor`
--

INSERT INTO `ptsl_distributor` (`DistributorID`, `Name`, `Address`, `Phone`) VALUES
(1, 'Peabody Heights Brewery', 'N/A', NULL),
(2, 'Atlantic', 'N/A', NULL),
(3, 'McLaughlin & Moran', 'N/A', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_distributormanager`
--

CREATE TABLE `ptsl_distributormanager` (
  `Dist_ManagerID` int(11) NOT NULL,
  `Dist_managerName` varchar(45) DEFAULT NULL,
  `Dist_Manager_Address` varchar(200) DEFAULT NULL,
  `Dist_Manager_Phone` varchar(45) DEFAULT NULL,
  `Dist_Manager_Email` varchar(60) DEFAULT NULL,
  `ptsl_ClientRep_ClientRepID` int(11) NOT NULL,
  `ptsl_Distributor_DistributorID` int(11) NOT NULL,
  `regionid` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_distributorrep`
--

CREATE TABLE `ptsl_distributorrep` (
  `Dis_rep_id` int(11) NOT NULL,
  `Dist_rep_name` varchar(45) DEFAULT NULL,
  `Dist_rep_address` varchar(200) DEFAULT NULL,
  `Dist_rep_Phone` varchar(45) DEFAULT NULL,
  `Dist_Rep_Email` varchar(60) DEFAULT NULL,
  `ptsl_DistributorManager_Dist_ManagerID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_distributor_brand_list`
--

CREATE TABLE `ptsl_distributor_brand_list` (
  `id` int(11) NOT NULL,
  `distributor_id` int(11) DEFAULT NULL,
  `distributor_brand_number` varchar(50) DEFAULT NULL,
  `converted_brand_name` varchar(100) DEFAULT NULL,
  `item_brand_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_distributor_item_mapping`
--

CREATE TABLE `ptsl_distributor_item_mapping` (
  `mapping_id` int(11) NOT NULL,
  `distributor_id` int(11) DEFAULT NULL,
  `distributor_brand_number` int(11) DEFAULT NULL,
  `item_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_distributor_package_mapping`
--

CREATE TABLE `ptsl_distributor_package_mapping` (
  `id` int(11) NOT NULL,
  `distributor_id` int(11) DEFAULT NULL,
  `item_packaging_id` int(11) DEFAULT NULL,
  `distributor_package_name` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_dist_file`
--

CREATE TABLE `ptsl_dist_file` (
  `id` int(11) NOT NULL,
  `distributor_id` int(11) NOT NULL,
  `file` varchar(100) NOT NULL,
  `upload_file_type` tinyint(2) NOT NULL COMMENT '1=sales 2=inventory',
  `status` tinyint(2) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_engagementconfig`
--

CREATE TABLE `ptsl_engagementconfig` (
  `engagementid` int(11) NOT NULL,
  `value` varchar(60) DEFAULT NULL,
  `isactive` bit(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_itembalance`
--

CREATE TABLE `ptsl_itembalance` (
  `balance_id` int(11) NOT NULL,
  `item_id` int(11) DEFAULT NULL,
  `item_cost` decimal(10,2) DEFAULT NULL,
  `item_balance` decimal(10,2) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_itembalance_distributor`
--

CREATE TABLE `ptsl_itembalance_distributor` (
  `id` int(11) NOT NULL,
  `item_id` int(11) DEFAULT NULL,
  `balance` decimal(18,2) DEFAULT NULL,
  `distributor_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_item_brand`
--

CREATE TABLE `ptsl_item_brand` (
  `brand_id` int(11) NOT NULL,
  `brand_name` varchar(45) DEFAULT NULL,
  `brand_series_line` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_item_brand_line`
--

CREATE TABLE `ptsl_item_brand_line` (
  `brand_line_id` int(11) NOT NULL,
  `brand_line_name` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_item_info`
--

CREATE TABLE `ptsl_item_info` (
  `item_id` int(11) NOT NULL,
  `item_type_id` int(11) DEFAULT NULL,
  `brand_id` int(11) DEFAULT NULL,
  `item_code` varchar(45) DEFAULT NULL,
  `sku` varchar(100) DEFAULT NULL,
  `measurment_unit_id` int(11) DEFAULT NULL,
  `item_package_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_item_packaging`
--

CREATE TABLE `ptsl_item_packaging` (
  `packaging_id` int(11) NOT NULL,
  `packaging_name` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_item_type`
--

CREATE TABLE `ptsl_item_type` (
  `type_id` int(11) NOT NULL,
  `type_name` varchar(100) DEFAULT NULL,
  `is_active` tinyint(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_notes`
--

CREATE TABLE `ptsl_notes` (
  `noteid` int(11) NOT NULL,
  `clientrepid` int(11) DEFAULT NULL,
  `title` varchar(300) NOT NULL,
  `note` text,
  `createddate` date DEFAULT NULL,
  `updateddate` date DEFAULT NULL,
  `deleteddate` date DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_region`
--

CREATE TABLE `ptsl_region` (
  `id` int(11) NOT NULL,
  `regionname` varchar(45) DEFAULT NULL,
  `isactive` bit(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_report_config`
--

CREATE TABLE `ptsl_report_config` (
  `report_id` int(11) NOT NULL,
  `report_name` varchar(45) DEFAULT NULL,
  `report_order` int(11) DEFAULT NULL,
  `default_distributor` int(11) DEFAULT NULL,
  `default_year` int(11) DEFAULT NULL,
  `default_month` int(11) DEFAULT NULL,
  `default_quarter` varchar(45) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_role`
--

CREATE TABLE `ptsl_role` (
  `RoleID` int(11) NOT NULL,
  `RoleName` varchar(45) DEFAULT NULL,
  `RoleDescription` varchar(200) DEFAULT NULL,
  `IsActive` bit(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `ptsl_sales_transactions`
--

CREATE TABLE `ptsl_sales_transactions` (
  `order_id` int(11) NOT NULL,
  `order_number` varchar(200) DEFAULT NULL,
  `raw_account_id` varchar(45) DEFAULT NULL,
  `raw_account_name` varchar(100) DEFAULT NULL,
  `is_actual` tinyint(1) DEFAULT NULL,
  `raw_date` date DEFAULT NULL,
  `raw_na1` varchar(45) DEFAULT NULL,
  `raw_na2` varchar(45) DEFAULT NULL,
  `raw_distributor_rep` varchar(45) DEFAULT NULL,
  `raw_distributor_manager` varchar(45) DEFAULT NULL,
  `raw_city` varchar(45) DEFAULT NULL,
  `raw_brand_id` int(11) DEFAULT NULL,
  `raw_unit` varchar(5) DEFAULT NULL,
  `raw_state` varchar(45) DEFAULT NULL,
  `converted_unit` decimal(10,0) DEFAULT NULL,
  `units_sold_to_end_customer` decimal(10,0) DEFAULT NULL,
  `end_customer_packaging` varchar(45) DEFAULT NULL,
  `client_rep_id` int(11) DEFAULT NULL,
  `distributor_manager_id` int(11) DEFAULT NULL,
  `distributor_rep_id` int(11) DEFAULT NULL,
  `na1` varchar(45) DEFAULT NULL,
  `na2` varchar(45) DEFAULT NULL,
  `Address` varchar(100) DEFAULT NULL,
  `city` varchar(45) DEFAULT NULL,
  `end_customer_sale` decimal(10,0) DEFAULT NULL,
  `item_id` int(11) DEFAULT NULL,
  `ConvertedDate` date DEFAULT NULL,
  `brand` int(11) DEFAULT NULL,
  `units` decimal(10,0) DEFAULT NULL,
  `packaging` int(11) DEFAULT NULL,
  `brand_and_packaging` varchar(45) DEFAULT NULL,
  `series` varchar(45) DEFAULT NULL,
  `container_id` int(11) DEFAULT NULL,
  `Channel` int(11) DEFAULT NULL,
  `ce_per_packaging_unit` decimal(10,0) DEFAULT NULL,
  `unit_price` decimal(10,0) DEFAULT NULL,
  `unit_cost` decimal(10,0) DEFAULT NULL,
  `gross_profit` decimal(10,0) DEFAULT NULL,
  `sales` decimal(10,0) DEFAULT NULL,
  `case_equivalents` int(11) DEFAULT NULL,
  `barrels` decimal(10,0) DEFAULT NULL,
  `region` int(11) DEFAULT NULL,
  `distributor_id` int(11) DEFAULT NULL,
  `account_status` int(11) DEFAULT NULL,
  `Company` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Stand-in structure for view `ptsl_vw_sales_by_brand_initial`
-- (See below for the actual view)
--
CREATE TABLE `ptsl_vw_sales_by_brand_initial` (
`brand` int(11)
,`case_equivalents` int(11)
,`ConvertedDate` date
);

-- --------------------------------------------------------

--
-- Table structure for table `TABLE 37`
--

CREATE TABLE `TABLE 37` (
  `COL 1` int(1) DEFAULT NULL,
  `COL 2` varchar(23) DEFAULT NULL,
  `COL 3` varchar(3) DEFAULT NULL,
  `COL 4` varchar(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `TABLE 37`
--

INSERT INTO `TABLE 37` (`COL 1`, `COL 2`, `COL 3`, `COL 4`) VALUES
(1, 'Peabody Heights Brewery', 'N/A', ''),
(2, 'Atlantic', 'N/A', ''),
(3, 'McLaughlin & Moran', 'N/A', '');

-- --------------------------------------------------------

--
-- Structure for view `ptsl_vw_sales_by_brand_initial`
--
DROP TABLE IF EXISTS `ptsl_vw_sales_by_brand_initial`;

CREATE ALGORITHM=UNDEFINED DEFINER=`perisco9`@`localhost` SQL SECURITY DEFINER VIEW `ptsl_vw_sales_by_brand_initial`  AS  select `sls`.`brand` AS `brand`,`sls`.`case_equivalents` AS `case_equivalents`,`sls`.`ConvertedDate` AS `ConvertedDate` from `ptsl_sales_transactions` `sls` where (`sls`.`ConvertedDate` >= (now() - interval 3 month)) ;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `months`
--
ALTER TABLE `months`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `ptsl_accountchannel`
--
ALTER TABLE `ptsl_accountchannel`
  ADD PRIMARY KEY (`accountChannelID`);

--
-- Indexes for table `ptsl_accountinfo`
--
ALTER TABLE `ptsl_accountinfo`
  ADD PRIMARY KEY (`AccountID`,`ptsl_Distributor_DistributorID`,`ptsl_accountchannel_accountChannelID`,`ptsl_accounttype_AccountTypeID`,`ptsl_accountstatus_AccountStatusID`,`ptsl_DistributorManager_Dist_ManagerID`,`Ptsl_DistributorRep_Dis_rep_id`),
  ADD KEY `fk_ptsl_accountinfo_ptsl_Distributor1_idx` (`ptsl_Distributor_DistributorID`),
  ADD KEY `fk_ptsl_accountinfo_ptsl_accountchannel1_idx` (`ptsl_accountchannel_accountChannelID`),
  ADD KEY `fk_ptsl_accountinfo_ptsl_accounttype1_idx` (`ptsl_accounttype_AccountTypeID`),
  ADD KEY `fk_ptsl_accountinfo_ptsl_accountstatus1_idx` (`ptsl_accountstatus_AccountStatusID`),
  ADD KEY `fk_ptsl_accountinfo_ptsl_DistributorManager1_idx` (`ptsl_DistributorManager_Dist_ManagerID`),
  ADD KEY `fk_ptsl_accountinfo_Ptsl_DistributorRep1_idx` (`Ptsl_DistributorRep_Dis_rep_id`);

--
-- Indexes for table `ptsl_accountinfo_copy`
--
ALTER TABLE `ptsl_accountinfo_copy`
  ADD PRIMARY KEY (`AccountID`,`ptsl_Distributor_DistributorID`,`ptsl_accountchannel_accountChannelID`,`ptsl_accounttype_AccountTypeID`,`ptsl_accountstatus_AccountStatusID`,`ptsl_DistributorManager_Dist_ManagerID`,`Ptsl_DistributorRep_Dis_rep_id`),
  ADD KEY `fk_ptsl_accountinfo_ptsl_Distributor1_idx` (`ptsl_Distributor_DistributorID`),
  ADD KEY `fk_ptsl_accountinfo_ptsl_accountchannel1_idx` (`ptsl_accountchannel_accountChannelID`),
  ADD KEY `fk_ptsl_accountinfo_ptsl_accounttype1_idx` (`ptsl_accounttype_AccountTypeID`),
  ADD KEY `fk_ptsl_accountinfo_ptsl_accountstatus1_idx` (`ptsl_accountstatus_AccountStatusID`),
  ADD KEY `fk_ptsl_accountinfo_ptsl_DistributorManager1_idx` (`ptsl_DistributorManager_Dist_ManagerID`),
  ADD KEY `fk_ptsl_accountinfo_Ptsl_DistributorRep1_idx` (`Ptsl_DistributorRep_Dis_rep_id`);

--
-- Indexes for table `ptsl_accountstatus`
--
ALTER TABLE `ptsl_accountstatus`
  ADD PRIMARY KEY (`AccountStatusID`);

--
-- Indexes for table `ptsl_accounttype`
--
ALTER TABLE `ptsl_accounttype`
  ADD PRIMARY KEY (`AccountTypeID`);

--
-- Indexes for table `ptsl_account_activity`
--
ALTER TABLE `ptsl_account_activity`
  ADD PRIMARY KEY (`ActivityID`,`ptsl_activitySubtype_ActivitySubtypeID`),
  ADD KEY `fk_ptsl_account_activity_ptsl_activitySubtype1_idx` (`ptsl_activitySubtype_ActivitySubtypeID`);

--
-- Indexes for table `ptsl_account_todolist`
--
ALTER TABLE `ptsl_account_todolist`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_ptsl_account_todolist_Ptsl_EngagementConfig1_idx` (`engagementid`);

--
-- Indexes for table `ptsl_activitysubtype`
--
ALTER TABLE `ptsl_activitysubtype`
  ADD PRIMARY KEY (`ActivitySubtypeID`,`Ptsl_ActivityType_ActivityTypeID`),
  ADD KEY `fk_ptsl_activitySubtype_Ptsl_ActivityType1_idx` (`Ptsl_ActivityType_ActivityTypeID`);

--
-- Indexes for table `ptsl_activitytype`
--
ALTER TABLE `ptsl_activitytype`
  ADD PRIMARY KEY (`ActivityTypeID`);

--
-- Indexes for table `ptsl_activity_participants`
--
ALTER TABLE `ptsl_activity_participants`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_ptsl_activity_participants_ptsl_account_activity1_idx` (`ActivityID`),
  ADD KEY `fk_ptsl_activity_participants_ptsl_ClientRep1_idx` (`ParticipantID`);

--
-- Indexes for table `ptsl_activity_photos`
--
ALTER TABLE `ptsl_activity_photos`
  ADD PRIMARY KEY (`PhotoID`),
  ADD KEY `fk_Ptsl_activity_Photos_ptsl_account_activity1_idx` (`ActivityID`);

--
-- Indexes for table `ptsl_clientrep`
--
ALTER TABLE `ptsl_clientrep`
  ADD PRIMARY KEY (`ClientRepID`);

--
-- Indexes for table `ptsl_clientrepandrole`
--
ALTER TABLE `ptsl_clientrepandrole`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_ptsl_ClientRepAndRole_ptsl_Role1_idx` (`roleid`),
  ADD KEY `fk_ptsl_ClientRepAndRole_ptsl_ClientRep1_idx` (`userid`);

--
-- Indexes for table `ptsl_config`
--
ALTER TABLE `ptsl_config`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `ptsl_container`
--
ALTER TABLE `ptsl_container`
  ADD PRIMARY KEY (`container_id`);

--
-- Indexes for table `ptsl_distributor`
--
ALTER TABLE `ptsl_distributor`
  ADD PRIMARY KEY (`DistributorID`);

--
-- Indexes for table `ptsl_distributormanager`
--
ALTER TABLE `ptsl_distributormanager`
  ADD PRIMARY KEY (`Dist_ManagerID`,`ptsl_ClientRep_ClientRepID`,`ptsl_Distributor_DistributorID`),
  ADD KEY `fk_ptsl_DistributorManager_ptsl_ClientRep1_idx` (`ptsl_ClientRep_ClientRepID`),
  ADD KEY `fk_ptsl_DistributorManager_ptsl_Distributor1_idx` (`ptsl_Distributor_DistributorID`),
  ADD KEY `fk_ptsl_DistributorManager_ptsl_region1_idx` (`regionid`);

--
-- Indexes for table `ptsl_distributorrep`
--
ALTER TABLE `ptsl_distributorrep`
  ADD PRIMARY KEY (`Dis_rep_id`,`ptsl_DistributorManager_Dist_ManagerID`),
  ADD KEY `fk_Ptsl_DistributorRep_ptsl_DistributorManager1_idx` (`ptsl_DistributorManager_Dist_ManagerID`);

--
-- Indexes for table `ptsl_distributor_brand_list`
--
ALTER TABLE `ptsl_distributor_brand_list`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `index2` (`distributor_brand_number`,`distributor_id`);

--
-- Indexes for table `ptsl_distributor_item_mapping`
--
ALTER TABLE `ptsl_distributor_item_mapping`
  ADD PRIMARY KEY (`mapping_id`);

--
-- Indexes for table `ptsl_distributor_package_mapping`
--
ALTER TABLE `ptsl_distributor_package_mapping`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `ptsl_dist_file`
--
ALTER TABLE `ptsl_dist_file`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `ptsl_engagementconfig`
--
ALTER TABLE `ptsl_engagementconfig`
  ADD PRIMARY KEY (`engagementid`);

--
-- Indexes for table `ptsl_itembalance`
--
ALTER TABLE `ptsl_itembalance`
  ADD PRIMARY KEY (`balance_id`);

--
-- Indexes for table `ptsl_itembalance_distributor`
--
ALTER TABLE `ptsl_itembalance_distributor`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `ptsl_item_brand`
--
ALTER TABLE `ptsl_item_brand`
  ADD PRIMARY KEY (`brand_id`),
  ADD KEY `fk_PTSL_ItemBrand_ptsl_item_brand_line1_idx` (`brand_series_line`);

--
-- Indexes for table `ptsl_item_brand_line`
--
ALTER TABLE `ptsl_item_brand_line`
  ADD PRIMARY KEY (`brand_line_id`);

--
-- Indexes for table `ptsl_item_info`
--
ALTER TABLE `ptsl_item_info`
  ADD PRIMARY KEY (`item_id`),
  ADD KEY `fk_ptsl_item_info_ptsl_item_type1_idx` (`item_type_id`),
  ADD KEY `fk_ptsl_item_info_ptsl_item_brand1_idx` (`brand_id`),
  ADD KEY `fk_ptsl_item_info_ptsl_item_packaging1_idx` (`item_package_id`);

--
-- Indexes for table `ptsl_item_packaging`
--
ALTER TABLE `ptsl_item_packaging`
  ADD PRIMARY KEY (`packaging_id`);

--
-- Indexes for table `ptsl_item_type`
--
ALTER TABLE `ptsl_item_type`
  ADD PRIMARY KEY (`type_id`);

--
-- Indexes for table `ptsl_notes`
--
ALTER TABLE `ptsl_notes`
  ADD PRIMARY KEY (`noteid`),
  ADD KEY `fk_Ptsl_Notes_ptsl_ClientRep1_idx` (`clientrepid`);

--
-- Indexes for table `ptsl_region`
--
ALTER TABLE `ptsl_region`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `ptsl_report_config`
--
ALTER TABLE `ptsl_report_config`
  ADD PRIMARY KEY (`report_id`);

--
-- Indexes for table `ptsl_role`
--
ALTER TABLE `ptsl_role`
  ADD PRIMARY KEY (`RoleID`);

--
-- Indexes for table `ptsl_sales_transactions`
--
ALTER TABLE `ptsl_sales_transactions`
  ADD PRIMARY KEY (`order_id`),
  ADD KEY `fk_PTSL_SalesOrder_PTSL_ItemInfo1_idx` (`item_id`) USING BTREE;

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `months`
--
ALTER TABLE `months`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT for table `ptsl_accountchannel`
--
ALTER TABLE `ptsl_accountchannel`
  MODIFY `accountChannelID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_accountinfo`
--
ALTER TABLE `ptsl_accountinfo`
  MODIFY `AccountID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_accountinfo_copy`
--
ALTER TABLE `ptsl_accountinfo_copy`
  MODIFY `AccountID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_accountstatus`
--
ALTER TABLE `ptsl_accountstatus`
  MODIFY `AccountStatusID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_accounttype`
--
ALTER TABLE `ptsl_accounttype`
  MODIFY `AccountTypeID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_account_activity`
--
ALTER TABLE `ptsl_account_activity`
  MODIFY `ActivityID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_account_todolist`
--
ALTER TABLE `ptsl_account_todolist`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_activitysubtype`
--
ALTER TABLE `ptsl_activitysubtype`
  MODIFY `ActivitySubtypeID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_activitytype`
--
ALTER TABLE `ptsl_activitytype`
  MODIFY `ActivityTypeID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_activity_participants`
--
ALTER TABLE `ptsl_activity_participants`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_activity_photos`
--
ALTER TABLE `ptsl_activity_photos`
  MODIFY `PhotoID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_clientrep`
--
ALTER TABLE `ptsl_clientrep`
  MODIFY `ClientRepID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_clientrepandrole`
--
ALTER TABLE `ptsl_clientrepandrole`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_config`
--
ALTER TABLE `ptsl_config`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_container`
--
ALTER TABLE `ptsl_container`
  MODIFY `container_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_distributor`
--
ALTER TABLE `ptsl_distributor`
  MODIFY `DistributorID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `ptsl_distributormanager`
--
ALTER TABLE `ptsl_distributormanager`
  MODIFY `Dist_ManagerID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_distributorrep`
--
ALTER TABLE `ptsl_distributorrep`
  MODIFY `Dis_rep_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_distributor_brand_list`
--
ALTER TABLE `ptsl_distributor_brand_list`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_distributor_item_mapping`
--
ALTER TABLE `ptsl_distributor_item_mapping`
  MODIFY `mapping_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_distributor_package_mapping`
--
ALTER TABLE `ptsl_distributor_package_mapping`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_dist_file`
--
ALTER TABLE `ptsl_dist_file`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_engagementconfig`
--
ALTER TABLE `ptsl_engagementconfig`
  MODIFY `engagementid` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_itembalance`
--
ALTER TABLE `ptsl_itembalance`
  MODIFY `balance_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_itembalance_distributor`
--
ALTER TABLE `ptsl_itembalance_distributor`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_item_brand`
--
ALTER TABLE `ptsl_item_brand`
  MODIFY `brand_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_item_brand_line`
--
ALTER TABLE `ptsl_item_brand_line`
  MODIFY `brand_line_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_item_info`
--
ALTER TABLE `ptsl_item_info`
  MODIFY `item_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_item_packaging`
--
ALTER TABLE `ptsl_item_packaging`
  MODIFY `packaging_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_item_type`
--
ALTER TABLE `ptsl_item_type`
  MODIFY `type_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_notes`
--
ALTER TABLE `ptsl_notes`
  MODIFY `noteid` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_region`
--
ALTER TABLE `ptsl_region`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_report_config`
--
ALTER TABLE `ptsl_report_config`
  MODIFY `report_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `ptsl_role`
--
ALTER TABLE `ptsl_role`
  MODIFY `RoleID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ptsl_sales_transactions`
--
ALTER TABLE `ptsl_sales_transactions`
  MODIFY `order_id` int(11) NOT NULL AUTO_INCREMENT;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
