<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Readfile extends CI_Controller {
	public function __construct() 
    {
        parent::__construct();
        if(!$this->session->userdata("logged_in")) {
         redirect(base_url());
            // do something
        }
        $this->load->library('Multiquery');
        ini_set('max_execution_time', '3600');
		ini_set('memory_limit', '2048M');
    }
	public function index(){
		$this->load->model('file');
		$file_id = $this->input->get('dis_file_id');
		$file_data = $this->file->get_file_and_dist($file_id);
		$dist_id = $this->input->get('dist_id');
		if($dist_id == 2 ){
			$this->file->delete_dist_data($dist_id);
		}
		$supplier_id = $this->session->userdata('supplier');
		$address ="";
		$file_path = "files/textfiles/".$file_data->file;
		$arr =array();	
		$file = fopen($file_path,"r");
		while(! feof($file)){
			$st_line = fgets($file);
			if(trim($st_line) ==""){
				continue;
			}
			else if($this->find_pattren($st_line)){
				continue;
			}
			$date = $this->makedate($st_line);
			
			$internal_id = $this->makeInternalId($st_line);
			$name = $this->makeName($st_line);
			$distManager = $this->makeDistManager($st_line);
			$dist_rep = $this->makeDistRep($st_line);
			$raw_na1 = $this->makeRawNa1($st_line);
			$raw_na2 = $this->makeRawNa2($st_line);
			$city = $this->makeCity($st_line);
			$brand = $this->makeBrand($st_line);
			$unit = $this->makeUnit($st_line);
			$spn = "Call ptsl_sp_insert_sales_v3('".$dist_id."','".$date."','".$internal_id."','".$name."','".$address."', '".$raw_na1."','".$raw_na2."','".$city."','".$brand."','".$unit."','".$dist_rep."','".$distManager."','".$supplier_id."')"; 
			 $res = $this->multiquery->GetResults($spn,$arr);
			  
		}
		fclose($file);
		$res = $this->file->update_file_execute_status($file_id);
		if($res){
			redirect('files/index');
		}
	}
	public function find_pattren($line){
		$skip_patterns = array("/COPYRIGHT/","/RFM.#240-MIGHTY/","/CFM.#240-MIGHTY/","/DAIDAT/","/WXDESC/");
		foreach ($skip_patterns as $key => $pattern){
 			if(preg_match($pattern,$line))
			{
				return 1;
			}
		}
		return 0;
	}
	public function makedate($str){
		$date = substr($str,0,8);

		$cdate = trim($date);
		$arr = explode('/',$cdate);
		return '20'.$arr[2].'-'.$arr[0].'-'.$arr[1];
	}
	public function makeInternalId($str){
		$internal_id = substr($str,9,6);
		return trim($internal_id);
	}
	public function makeName($str){
		$name = substr($str, 15,24);
		return trim(addslashes($name));
	}
	public function makeDistManager($str){
		$distManager = substr($str, 42,11);
		return trim($distManager);
	}
	public function makeDistRep($str){
		$rep = substr($str, 54,14);
		return trim($rep);
	}
	public function makeRawNa1($str){
		$rep = substr($str, 69,2);
		return trim($rep);
	}
	public function makeRawNa2($str){
		$rep = substr($str, 72,1);
		return trim($rep);
	}
	public function makeCity($str){
		$rep = substr($str, 74,15);
		return trim($rep);
	}
	public function makeBrand($str){
		$rep = substr($str, 90,6);
		return trim($rep);
	}
	public function makeUnit($str){
		$rep = substr($str, 115,strlen($str)-1); //15 for bxdesc
		return trim($rep);
	}
}