<?php 
class Supplier_manager_model extends CI_model{

public function get_supplier_managers(){
		$this->db->select('sm.id,sm.supplier_manager_name,sm.address,sm.supplier_manager_phone,sm.supplier_manager_email');
		$this->db->from('ptsl_supplier_manager sm');
		return $this->db->get()->result_array();
	}
public function get_supplier_manager_details($id)
{
	$this->db->select('sm.id,sm.supplier_manager_name,sm.address,sm.supplier_manager_phone,sm.supplier_manager_email,u.login_name,u.password');
	$this->db->from('ptsl_supplier_manager sm');
	$this->db->join('ptsl_users u','u.supplier_manager_id=sm.id','');
	$this->db->where('sm.id',$id);
	return $this->db->get()->result_array();
}
public function save_supplier_manager($post_data){
	   $supplierid=$this->session->userdata('supplier');
		$suppliermanagerdata = array(
				'supplier_manager_name' => $post_data['supplier_name'],
				'supplier_manager_phone' => $post_data['phone'],
				'supplier_manager_email' =>$post_data['email'],
				'address' =>$post_data['supplier_address'],
				'supplier_id'=> $supplierid
			);
		$res = $this->db->insert('ptsl_supplier_manager',$suppliermanagerdata);
		$supplier_manager_id = $this->db->insert_id();
			if($res){
				$data_users = array(
						'login_name' => $post_data['username'],
						'password' => $post_data['password'],
						'user_type_id' => 1,
						'is_active'=>1,
						'supplier_manager_id' => $supplier_manager_id,
						'supplier_id' => $supplierid 
					);
					$res3 = $this->db->insert('ptsl_users',$data_users);
					$user_id = $this->db->insert_id();
					$data_user_role = array(
						'role_id' => '2',
						'user_id' => $user_id
					);
					$this->db->insert('ptsl_users_roles',$data_user_role);
					return 1;
			}
	}
public function update_supplier_manager($post_data){
		$supplier_manager_id = $post_data['supplier_manager_id'];
		$suppliermanagerdata = array(
				'supplier_manager_name' => $post_data['supplier_name'],
				'supplier_manager_phone' => $post_data['phone'],
				'supplier_manager_email' =>$post_data['email'],
				'address' =>$post_data['supplier_address'],				
			);
		$this->db->where('id',$supplier_manager_id);
		$res = $this->db->update('ptsl_supplier_manager',$suppliermanagerdata);
			if($res){				
					$data_users = array(
						'login_name' => $post_data['username'],
						'password' => $post_data['password'],
						'user_type_id' => 1
					);
					$this->db->where('supplier_manager_id',$supplier_manager_id);				
					$res2 = $this->db->update('ptsl_users',$data_users);
					return 1;
				}
			}
	}


?>
